Overview
POST
/project/projects/{id}/participantsprojectAttach a customer / persona / team (+ a participant.added activity)
Create a record in participants.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- participantKind"customer" | "persona" | "team"
- participantIdstring
Example
{
"participantKind": "customer",
"participantId": "string"
}Responses
201
Added participant
- idstring
- ecosystemIdstring
- projectIdstring
- participantKind"customer" | "persona" | "team"
- participantIdstring
the attached actor id (opaque)
- rolestring
the participant's project role (DB default 'member')
- addedByoptionalstring?
- addedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"projectId": "string",
"participantKind": "customer",
"participantId": "string",
"role": "string",
"addedBy": "string",
"addedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/project/projects/{id}/participants" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"participantKind": "customer",
"participantId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/participants", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"participantKind\": \"customer\",\n \"participantId\": \"string\"\n}",
});
const data = await res.json();